<?php namespace EscapeWork\Manager\Subscribers\Providers;

use Illuminate\Support\ServiceProvider;

class ManagerSubscribersServiceProvider extends ServiceProvider
{

	/**
	 * Indicates if loading of the provider is deferred.
	 *
	 * @var bool
	 */
	protected $defer = false;

    /**
     * Bootstrap the application events.
     *
     * @return void
     */
    public function boot()
    {
        include_once(__DIR__ . '/../../../../routes.php');
    }

	/**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $this->package('escapework/manager-subscribers', 'manager-subscribers', realpath(__DIR__ . '/../../../../'));

        # binds
        $this->app->bind('EscapeWork\Manager\Subscribers\Repositories\SubscriberRepository', 'EscapeWork\Manager\Subscribers\Models\Subscriber');
    }

}